/*
 * CONTRAT DE LICENCE DE LOGICIEL LIBRE CeCILL-B
 * https://cecill.info/licences/Licence_CeCILL-B_V1-fr.html
 */
package fr.unistra.sil.erp.back.api.model;

import java.math.BigDecimal;

/**
 * Item description.
 * @author BEAUVAIS ANTOINE <antoine.beauvais@etu.unistra.fr>
 */
public class Item {
    
    /**
     * The product's reference number.
     */
    private final int ref;
    
    /**
     * The product's name.
     */
    private final String name;
    
    /**
     * The product's regular price.
     */
    private final BigDecimal price;
    
    /**
     * The product's price for subscribers.
     */
    private final BigDecimal subscriberPrice;
    
    /**
     * Class constructor.
     * @param ref The item's reference number.
     * @param name The item's name.
     * @param price The item's price.
     * @param subscriberPrice The item's price for subscribers.
     */
    public Item(int ref, String name, BigDecimal price,
            BigDecimal subscriberPrice)
    {
        this.ref = ref;
        this.name = name;
        this.price = price;
        this.subscriberPrice = subscriberPrice;
    }
    
    /**
     * Returns the current item's reference number.
     * @return the reference number.
     */
    public int getRef()
    {
        return this.ref;
    }
    
    /**
     * Returns the current item's name.
     * @return the name.
     */
    public String getName()
    {
        return this.name;
    }
    
    /**
     * Returns the current item's price.
     * @return the price.
     */
    public BigDecimal getPrice()
    {
        return this.price;
    }
    
    /**
     * Returns the current item's price for subscribers.
     * @return the price for subscribers.
     */
    public BigDecimal getSubscriberPrice()
    {
        return this.subscriberPrice;
    }
}
